Bug 525342 - KMS:RV380:Radeon X600 desktop background and icons stretched when desktop effected enabled in gnome
Summary: KMS:RV380:Radeon X600 desktop background and icons stretched when desktop eff...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 11
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 23:15 UTC by A Griffin
Modified: 2018-04-11 08:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:47:36 UTC
Type: ---


Attachments (Terms of Use)
Screenshot of desktop with desktop effects enabled in GNOME with dual-head. (788.63 KB, image/png)
2009-09-23 23:15 UTC, A Griffin
no flags Details
xorg.conf (616 bytes, text/plain)
2009-09-30 23:12 UTC, A Griffin
no flags Details
dmesg (37.25 KB, text/plain)
2009-09-30 23:13 UTC, A Griffin
no flags Details
xorg.0.log (101.42 KB, text/plain)
2009-09-30 23:14 UTC, A Griffin
no flags Details

Description A Griffin 2009-09-23 23:15:20 UTC
Created attachment 362372 [details]
Screenshot of desktop with desktop effects enabled in GNOME with dual-head.

Description of problem:

When desktop effects on desktop is stretched wildly, image only though, the
logical icon locations on the desktop are the same (if you double click on
where home should be, you get something up).

It APPEARS as though when the desktop background area is turned into a 3D
object on dual head it breaks and stretches the surface's texture for reasons
unknown.

Same is true when you use compiz also.

Problem does not happen when using one display only (if you turn off a display).

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. Standard install of Fedora 11 w/ Raedon X600 card
2. Attach 2 displays
3. Enable Desktop Effects
  
Actual results:

Desktop background and icons image stretches across background.

Expected results:

Not the above.

Additional info:

Fedora Release 11 (Leonidas)
Kernel Linux 2.6.30.5-43.fc11.i686.PAE
GNOME 2.26.3

Comment 1 Matěj Cepl 2009-09-25 14:30:39 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 A Griffin 2009-09-30 23:12:19 UTC
Created attachment 363259 [details]
xorg.conf

Comment 3 A Griffin 2009-09-30 23:13:59 UTC
Created attachment 363260 [details]
dmesg

Comment 4 A Griffin 2009-09-30 23:14:34 UTC
Created attachment 363261 [details]
xorg.0.log

Comment 5 A Griffin 2009-09-30 23:15:40 UTC
I turned desktop effects back on just prior to attaching these files. (I keep it off at the moment due to the desktop trouble).

Comment 6 Greg Wight 2009-10-14 11:34:27 UTC
I am experiencing exactly the same issue on my Samsung P500 laptop with an integrated Radeon Express X1250 card, using the xorg-x11-drv-ati driver.

Comment 7 Matěj Cepl 2009-11-05 18:38:24 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 A Griffin 2009-11-09 02:57:04 UTC
I have updated my desktop system using the method described above, with minor modification as the repo suggested did not work (updates-testing, as opposed to *-updates-testing).

After the update I restarted X session. Same problem as described.
I rebooted entire system. Same problem as described.

I am now downloading F12 Beta to test - but this issue still exists in F11.

Comment 9 Bug Zapper 2010-04-28 10:32:55 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Vedran Miletić 2010-05-24 18:36:51 UTC
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Comment 11 Bug Zapper 2010-06-28 14:47:36 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.